Bug 148800 - CAN-2004-1382 insecure temporary file usage
Summary: CAN-2004-1382 insecure temporary file usage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Jay Turner
URL:
Whiteboard: impact=low,public=20041024
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-15 18:25 UTC by Josh Bressers
Modified: 2016-11-24 12:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 15:16:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:261 normal SHIPPED_LIVE Low: glibc security update 2005-04-28 04:00:00 UTC

Description Josh Bressers 2005-02-15 18:25:11 UTC
The glibcbug script in glibc 2.3.4 and earlier allows local users to overwrite
arbitrary files via a symlink attack on temporary files, a different
vulnerability than CAN-2004-0968.

Please see this url for more information:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=278278

Comment 1 Josh Bressers 2005-02-15 18:38:29 UTC
This issue should also affect RHEL2.1

Comment 2 Josh Bressers 2005-02-15 18:39:02 UTC
It should also affect RHEL3

Comment 3 Jindrich Novy 2005-02-16 07:45:46 UTC
Hi Josh,

I still don't understand how this affects mc since it's a glibc bug.

Any further info?

Comment 4 Josh Bressers 2005-02-16 11:27:48 UTC
Sorry, wrong component.  I'm fixing it.

Comment 5 Josh Bressers 2005-02-16 19:26:13 UTC
It seems this issue only affects RHEL2.1.

Comment 6 Jakub Jelinek 2005-03-01 12:20:25 UTC
And for RHEL2.1 it should be fixed in glibc-2.2.4-32.19.

Comment 7 John Flanagan 2005-04-28 15:16:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-261.html



Note You need to log in before you can comment on or make changes to this bug.